
import java.awt.*;
import java.awt.event.*;
/**
 * Usando Excepciones definidas por el usuario para implementar validaciones
 * Observar el efecto del bloque finally cuando estamos re-lanzando excepciones
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class Aplicacion extends Frame
{
    // instance variables - replace the example below with your own
    Label lbl = new Label("Ingrese Valor Entero:");
    TextField txt = new TextField(10);
    Button btn = new Button("Valido Entero");
    Button btnr = new Button("Valido Rango 100 - 300");
    TextArea res = new TextArea();
    Button mybtn = new Button("MyValido Entero");
    Button mybtnr = new Button("MyValido Rango 100 - 300");

    /**
     * Constructor for objects of class Aplicacion
     */
    public Aplicacion()
    {
        // initialise instance variables
        super("Utilizando Excepciones Propias");
        setLayout(new FlowLayout());
        res.setEnabled(false);
        add(lbl);
        add(txt);
        add(btn);
        add(btnr);
        add(res);
        add(mybtn);
        add(mybtnr);
        btn.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                try {
                    System.out.println("isInteger(txt) = " + Valido.isInteger(txt));
                    res.setText("Validado Ok!");
                } catch(NotAnIntegerException naie) {
                    System.out.println("Aplicacion: entre x NotAnIntegerException!");
                    res.setText(naie.getMessage());
                } catch(MyNotAnIntegerException mynaie) {
                    System.out.println("Aplicacion: entre x MyNotAnIntegerException!");
                    res.setText(mynaie.getMessage());
                }
            }
        });
        btnr.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                try {
                    System.out.println("isInteger(txt,100,300) = " + Valido.isInteger(txt,100,300));
                    res.setText("Validado Ok!");
                } catch(NotAnIntegerException naie) {
                        System.out.println("Aplicacion: entre x NotAnIntegerException!");
                    res.setText(naie.getMessage());
                } catch(MyNotAnIntegerException mynaie) {
                    System.out.println("Aplicacion: entre x MyNotAnIntegerException!");
                    res.setText(mynaie.getMessage());
                }
            }
        });
        // Uso botones con MyNotAnIntegerException
    mybtn.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
            String n = txt.getName();
            try {
                txt.setName("mytxt");
                System.out.println("isInteger(txt) = " + Valido.isInteger(txt));
                res.setText("Validado Ok!");
            } catch(NotAnIntegerException naie) {
                System.out.println("Aplicacion: entre x NotAnIntegerException!");
                res.setText(naie.getMessage());
            } catch(MyNotAnIntegerException mynaie) {
                System.out.println("Aplicacion: entre x MyNotAnIntegerException!");
                res.setText(mynaie.getMessage());
            }
            txt.setName(n);
        }
    });
    mybtnr.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
            String n = txt.getName();
            try {
                txt.setName("mytxt");
                System.out.println("isInteger(txt,100,300) = " + Valido.isInteger(txt,100,300));
                res.setText("Validado Ok!");
            } catch(NotAnIntegerException naie) {
                System.out.println("Aplicacion: entre x NotAnIntegerException!");
                res.setText(naie.getMessage());
            } catch(MyNotAnIntegerException mynaie) {
                System.out.println("Aplicacion: entre x MyNotAnIntegerException!");
                res.setText(mynaie.getMessage());
            }
            txt.setName(n);
        }
    });
        
        addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
                System.exit(0);
            }
        });
        setSize(500,300);
        setResizable(false);
        setVisible(true);
    }
    public static void main(String[] args) {
        new Aplicacion();
    }
}
