import java.awt.*;
/**
 * Version mejorada de NotAnIntegerException
 * Re-utiliza todo lo que ofrece la clase Exception
 * 
 * @author G. Cherencio
 * @version 1.0
 */
public class MyNotAnIntegerException extends Exception {

    public MyNotAnIntegerException() {
    	super("El valor que Ud. ingreso no es un numero entero");
    }
    
    public MyNotAnIntegerException(String msg) {
    	super(msg);
    }
    
    public MyNotAnIntegerException(TextComponent comp) {
    	super("El valor ingresado: " + comp.getText() + " no es un numero entero");
    }
    public MyNotAnIntegerException(TextComponent comp,int desde,int hasta) {
    	super("El valor ingresado: " + comp.getText() + " no es un numero entero entre " + desde + " y " + hasta);
    }
}
